VSTGUI: IViewListener Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
IViewListener Class Referenceabstract

View Listener Interface. More...

Inheritance diagram for IViewListener:

## Public Member Functions
virtual | ~IViewListener () noexcept=default
virtual void | viewSizeChanged (CView *view, const CRect &oldSize)=0
| called when the view's size changed
virtual void | viewAttached (CView *view)=0
| called when a view was attached to a view hierarchy
virtual void | viewRemoved (CView *view)=0
| called when a view was removed from the view hierarchy
virtual void | viewLostFocus (CView *view)=0
| called when a view lost focus
virtual void | viewTookFocus (CView *view)=0
| called when a view took focus
virtual void | viewWillDelete (CView *view)=0
| called when a view is going to be destroyed
virtual void | viewOnMouseEnabled (CView *view, bool state)=0
| called when a view's mouse handling is enabled or disabled

## Detailed Description

View Listener Interface.

## Constructor & Destructor Documentation

virtual ~IViewListener | ( |  | ) |
| virtualdefaultnoexcept

## Member Function Documentation

virtual void viewAttached | ( | CView * | view | ) |
| pure virtual

called when a view was attached to a view hierarchy

Implemented in ViewListenerAdapter.

virtual void viewLostFocus | ( | CView * | view | ) |
| pure virtual

called when a view lost focus

Implemented in ViewListenerAdapter.

virtual void viewOnMouseEnabled | ( | CView * | view,
|  | bool | state
| ) |  |
| pure virtual

called when a view's mouse handling is enabled or disabled

Implemented in ViewListenerAdapter.

virtual void viewRemoved | ( | CView * | view | ) |
| pure virtual

called when a view was removed from the view hierarchy

Implemented in ViewListenerAdapter.

virtual void viewSizeChanged | ( | CView * | view,
|  | const CRect & | oldSize
| ) |  |
| pure virtual

called when the view's size changed

Implemented in CScrollView, and ViewListenerAdapter.

virtual void viewTookFocus | ( | CView * | view | ) |
| pure virtual

called when a view took focus

Implemented in ViewListenerAdapter.

virtual void viewWillDelete | ( | CView * | view | ) |
| pure virtual

called when a view is going to be destroyed

Implemented in CScrollView, and ViewListenerAdapter.

The documentation for this class was generated from the following file:

- iviewlistener.h